/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCINFO.H__   1.0   15 Aug 1997 14:03:42   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCINFO.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:42   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:24   ZJRD
** 1.0c
** 
****************************************************************************/

// srcinfo.h : header file
//
#ifndef _SRCINFO_H_
#define _SRCINFO_H_

#include "srcicon.h"

/////////////////////////////////////////////////////////////////////////////
// CSourceLoadInfoPage

class CSourceLoadInfoPage : public CPropertyPage
{
// Construction
public:
	CSourceLoadInfoPage(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSourceLoadInfoPage)
	enum { IDD = IDD_SRC_LOADINFO };
	CSourceIconWnd m_wndIcon;
	CString	m_strModule;
	CString	m_strSymbol;
	CString	m_strType;
	CString	m_strFunction;
	CString	m_strByte;
	CString	m_strLine;
	CString	m_strPC;
	CString	m_strFile;
	//}}AFX_DATA
	
protected:
	enum { tmEvent = 1, tmElapse = 50 };
    UINT m_uTimerID;

// Overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();

// Implementation
protected:
	void GetLoadInfo();

	// Generated message map functions
	//{{AFX_MSG(CSourceLoadInfoPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
